import * as $dara from '@darabonba/typescript';
export declare class GetLocalDefaultRegionRequest extends $dara.Model {
    /**
     * @remarks
     * The cloud service provider. Valid values:
     *
     * *   **Tencent**: Tencent Cloud.
     * *   **HUAWEICLOUD**: Huawei Cloud.
     * *   **Azure**: Microsoft Azure.
     * *   **AWS**: Amazon Web Services (AWS).
     *
     * @example
     * Tencent
     */
    vendor?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
